[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.ReadComponent

Reads component data from a stream

## Declaration

Source position: classesh.inc line 956

`public function TStream.ReadComponent(`
`Instance: TComponent`
`):TComponent;`

## Description

ReadComponent reads a component state from the stream and transfers this state to Instance. If Instance is nil, then it is created first based on the type stored in the stream. ReadComponent returns the component as it is read from the stream.

ReadComponent simply creates a TReader object and calls its ReadRootComponent method.

## Errors

If an error occurs during the reading of the component, an EFilerError exception is raised.

## See also

TStream.WriteComponent |  | Write component data to the stream
TStream.ReadComponentRes |  | Reads component data and resource header from a stream
TReader.ReadRootComponent |  | Starts reading a root component.